# E-Invoicing

With the E-Invoicing feature, Zuora supports electronic invoices through an integration with partners that have a local presence, where required, which guarantees compliance with local invoice regulations.
All the operations in this section are available only if you have the E-Invoicing feature enabled.

 - [GET /v1/einvoice/service-providers](https://developer.zuora.com/v1-api-reference/api/e-invoicing/get_einvoicingserviceproviders.md): Lists information about e-invoicing service providers. **Note**: This operation is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
 - [POST /v1/einvoice/service-providers](https://developer.zuora.com/v1-api-reference/api/e-invoicing/post_einvoicingserviceprovider.md): Creates an e-invoicing service provider. **Note**: This operation is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
 - [DELETE /v1/einvoice/service-providers/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/delete_einvoicingserviceprovider.md): Deletes an e-invoicing service privider. **Note**: This operation is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
 - [GET /v1/einvoice/service-providers/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/get_einvoicingserviceprovider.md): Retrieves information about an e-invoicing service privider. **Note**: This operation is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
 - [PUT /v1/einvoice/service-providers/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/put_updateeinvoicingserviceprovider.md): Updates information about an e-invoicing service privider. **Note**: This operation is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
 - [GET /v1/einvoice/business-regions](https://developer.zuora.com/v1-api-reference/api/e-invoicing/get_einvoicingbusinessregions.md): Lists information about e-invoicing business regions. **Note**: This operation is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
 - [POST /v1/einvoice/business-regions](https://developer.zuora.com/v1-api-reference/api/e-invoicing/post_createeinvoicingbusinessregion.md): Creates an e-invoicing business region. You must create business regions to store the business detail information as a seller. If you have multiple GSTINs for different states, you can create multiple
 - [DELETE /v1/einvoice/business-regions/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/delete_einvoicingbusinessregion.md): Deletes an e-invoicing business region by key. The key can be the unique ID or number of an e-invoicing business region. **Note**: This operation is available only if you have the E-Invoicing feature
 - [GET /v1/einvoice/business-regions/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/get_einvoicingbusinessregion.md): Retrieves information about an e-invoicing business region. You can search for an e-invoicing business region by key. The key can be the unique ID or number of an e-invoicing business region. **Note**
 - [PUT /v1/einvoice/business-regions/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/put_updateeinvoicingbusinessregion.md): Updates an e-invoicing business region by key. The key can be the unique ID or number of an e-invoicing business region. **Note**: This operation is available only if you have the E-Invoicing feature
 - [GET /v1/e-invoice/mandates](https://developer.zuora.com/v1-api-reference/api/e-invoicing/geteinvoicemandates.md): Fetches mandates for downloading files based on the country code, category, and process type selection. This API operation returns the the list of file formats in which the document can be downloaded.
 - [GET /v1/invoices/{invoiceKey}/e-invoice/mandate](https://developer.zuora.com/v1-api-reference/api/e-invoicing/geteinvoicemandateoninvoice.md): Fetches mandates for downloading e-invoice based on the country code, category, and process type selection. **Note**: This operation is available only if you have the E-Invoicing feature for Avalara i
 - [GET /v1/credit-memos/{creditMemoKey}/e-invoice/mandate](https://developer.zuora.com/v1-api-reference/api/e-invoicing/geteinvoicecreditmemomandate.md): Fetches mandates for downloading a Credit Memo file based on the country code, category, and process type selection. **Note**: This operation is available only if you have the E-Invoicing feature for
 - [GET /v1/debit-memos/{debitMemoKey}/e-invoice/mandate](https://developer.zuora.com/v1-api-reference/api/e-invoicing/geteinvoicedebitmemomandate.md): Fetches mandates for downloading a Debit Memo file based on the country code, category, and process type selection. **Note**: This operation is available only if you have the E-Invoicing feature for A
 - [GET /v1/invoices/{invoiceKey}/e-invoice/download](https://developer.zuora.com/v1-api-reference/api/e-invoicing/downloadeinvoiceofspecifiedformat.md): Downloads the e-invoice based on the selected file format. The system supports XML, UBL, PNG, or QR codes formats that each country requires or supports.
 - [GET /v1/credit-memos/{creditMemoKey}/e-invoice/download](https://developer.zuora.com/v1-api-reference/api/e-invoicing/downloadcreditmemoeinvoice.md): Downloads the credit memo based on the specified file format. The system supports XML, UBL, PNG, or QR codes formats that each country requires or supports.
 - [GET /v1/debit-memos/{debitMemoKey}/e-invoice/download](https://developer.zuora.com/v1-api-reference/api/e-invoicing/downloaddebitmemoeinvoice.md): Downloads the debit memo based on the specified file format. The system supports XML, UBL, PNG, or QR codes formats that each country requires or supports.
 - [PUT /v1/invoices/{invoiceKey}/e-invoice/cancel](https://developer.zuora.com/v1-api-reference/api/e-invoicing/canceleinvoicebyinvoicekey.md): Cancels the E-Invoice for the given billing document
 - [GET /v1/einvoice/templates](https://developer.zuora.com/v1-api-reference/api/e-invoicing/get_einvoicefiletemplates.md): Lists information about e-invoice file templates. You can query e-invoice file templates by conditions. For example, if your service provider is Sovos, you can use the following example URL to retriev
 - [POST /v1/einvoice/templates](https://developer.zuora.com/v1-api-reference/api/e-invoicing/post_createeinvoicefiletemplate.md): Creates an e-invoice file templates for your billing documents, including invoices, credit memos, and debit memos. Zuora provides default e-invoice file templates, so you can just customize them as ne
 - [DELETE /v1/einvoice/templates/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/delete_einvoicefiletemplate.md): Deletes an e-invoice file template by key. The key can be the unique ID or number of an e-invoice file template. **Note**: This operation is available only if you have the E-Invoicing feature in **Ear
 - [GET /v1/einvoice/templates/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/get_einvoicefiletemplate.md): Retrieves information about an e-invoice file template. **Note**: This operation is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
 - [PUT /v1/einvoice/templates/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/put_einvoicefiletemplate.md): Updates information about an e-invoice file template. **Note**: This operation is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
 - [PUT /v1/invoices/{invoiceKey}/e-invoice/sync-status](https://developer.zuora.com/v1-api-reference/api/e-invoicing/updateinvoiceinvokesyncstatus.md): Initiates a background polling process to retrieve the latest notification response from the configured e-Invoicing provider and update the e-Invoice status of the e-Invoice. **Note**: This API can on
 - [PUT /v1/debit-memos/{debitMemoKey}/e-invoice/sync-status](https://developer.zuora.com/v1-api-reference/api/e-invoicing/updatedebitmemoinvokesyncstatus.md): Initiates a background polling process to retrieve the latest notification response from the configured e-Invoicing provider and update the e-Invoice status of the debit memo. **Note**: This API can o
 - [PUT /v1/credit-memos/{creditMemoKey}/e-invoice/sync-status](https://developer.zuora.com/v1-api-reference/api/e-invoicing/updatecreditmemoinvokesyncstatus.md): Initiates a background polling process to retrieve the latest notification response from the configured e-Invoicing provider and update the e-Invoice status of the credit memo. **Note**: This API can
 - [PUT /v1/invoices/{invoiceKey}/einvoice/generate](https://developer.zuora.com/v1-api-reference/api/e-invoicing/put_generationeinvoicegenerationforinvoices.md): Generates an e-invoice file for an invoice. If the invoice status is **Failed** during e-invoice generation, you can use **Regenerate E-Invoice**. Once you fix the errors and trigger the regeneration,
 - [PUT /v1/credit-memos/{creditMemoKey}/e-invoice/generate](https://developer.zuora.com/v1-api-reference/api/e-invoicing/put_generateeinvoicefileforcreditmemo.md): Generates an e-invoice file for a credit memo. If the Credit Memo status is **Failed** during e-invoice generation, you can use **Regenerate E-Invoice**. Once you fix the errors and trigger the regene
 - [PUT /v1/debit-memos/{debitMemoKey}/e-invoice/generate](https://developer.zuora.com/v1-api-reference/api/e-invoicing/put_generateeinvoicefilefordebitmemo.md): Generates an e-invoice file for a debit memo. If the Credit Memo status is **Failed** during e-invoice generation, you can use **Regenerate E-Invoice**. Once you fix the errors and trigger the regener
 - [POST /v1/e-compliance/lifecycle/status-update](https://developer.zuora.com/v1-api-reference/api/e-invoicing/createeinvoicelifecyclestatusupdate.md): Creates a seller-initiated status update request for an e-invoice lifecycle. Use this operation to notify the tax authority when the business status of a source document changes, such as when payment
 - [GET /v1/e-compliance/lifecycle/status-updates](https://developer.zuora.com/v1-api-reference/api/e-invoicing/geteinvoicelifecyclestatusupdates.md): Lists e-invoice business lifecycle status update audit records, optionally filtered by document, status, and requested action.
 - [GET /v1/e-compliance/lifecycle/status-updates/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/geteinvoicelifecyclestatusupdate.md): Retrieves a single e-invoice business lifecycle status update audit record by its unique identifier.
 - [POST /v1/e-compliance/reconcile](https://developer.zuora.com/v1-api-reference/api/e-invoicing/reconcileecompliance.md): Reconciles an e-compliance request for the supplied source object. **Note**: In the broader e-compliance workflow, this operation can work alongside the "Create an e-invoice lifecycle status update" o
 - [POST /v1/e-compliance/trigger](https://developer.zuora.com/v1-api-reference/api/e-invoicing/triggerecompliancerequest.md): Creates an e-compliance request for the supplied source object.
 - [POST /v1/e-compliance/regenerate](https://developer.zuora.com/v1-api-reference/api/e-invoicing/regenerateecompliancerequest.md): Regenerates a failed or rejected e-compliance request.
